Library Version 18.1.40

DB_ENV->mutex_get_align()
Prev | Chapter 9. Mutex Methods | Next

## DB_ENV->mutex_get_align()

    #include <db.h>

    int
    DB_ENV->mutex_get_align(DB_ENV *dbenv, u_int32_t *alignp);

The `DB_ENV->mutex_get_align()` method returns the mutex alignment, in bytes.

The `DB_ENV->mutex_get_align()` method may be called at any time during the life of the application.

The `DB_ENV->mutex_get_align()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### alignp

The `DB_ENV->mutex_get_align()` method returns the mutex alignment, in bytes in alignp.

### Class

DB_ENV

### See Also

Mutex Methods

Prev | Up | Next
DB_ENV->mutex_free() | Home | DB_ENV->mutex_get_increment()